## xxdiff 3.0.2

=== doc/Makefile ===
#!/usr/bin/env make
#
# $Source: /u/blais/cvsroot/xxdiff/doc/Makefile,v $
# $Id: Makefile,v 1.2 2004/01/21 21:41:47 blais Exp $
#
# Automatic generation of HTML for tools.

USERMANUAL=xxdiff-doc.html

TXTDOC=\
	xxdiff-integration.txt \
	xxdiff-secrets.txt

TXTDOC_HTML = $(TXTDOC:.txt=.html)

TXTHTML_CONVERT=docutils-html-convert

TOOLS=\
	xxdiff-cvs-diff \
	xxdiff-encrypted \
	xxdiff-find-grep-sed \
	xxdiff-match \
	xxdiff-patch-UNFINISHED

BIN=../bin
SCRIPTS = $(patsubst %,$(BIN)/%,$(TOOLS))
TMPFILE=/tmp/xxdiff-doc-convert.tmp
TOOLS_HTML = $(TOOLS:=.html)

.SUFFIXES: .txt .html

all: $(USERMANUAL) $(TOOLS_HTML) $(TXTDOC_HTML)

.txt.html:
	$(TXTHTML_CONVERT) $< $@

$(USERMANUAL): $(BIN)/xxdiff
	$(BIN)/xxdiff --help-html > $@

$(TOOLS_HTML) : %.html : $(BIN)/%
	python-genpage -l $< -o $(TMPFILE) $<
	$(TXTHTML_CONVERT) $(TMPFILE) $@
	rm -f $(TMPFILE)

clean:
	rm -f $(USERMANUAL)
	rm -f $(TOOLS_HTML)

debug:
	@echo TOOLS
	@echo $(TOOLS)
	@echo SCRIPTS
	@echo $(SCRIPTS)
	@echo TOOLS_HTML
	@echo $(TOOLS_HTML)

## xxdiff 3.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env make
 #
 # $Source: /u/blais/cvsroot/xxdiff/doc/Makefile,v $
-# $Id: Makefile,v 1.2 2004/01/21 21:41:47 blais Exp $
+# $Id: Makefile,v 1.4 2004/02/25 17:37:35 blais Exp $
 #
 # Automatic generation of HTML for tools.
 
@@ -16,9 +16,11 @@
 TXTHTML_CONVERT=docutils-html-convert
 
 TOOLS=\
+	xxdiff-cond-replace \
+	xxdiff-find-grep-sed \
 	xxdiff-cvs-diff \
+	xxdiff-subversion \
 	xxdiff-encrypted \
-	xxdiff-find-grep-sed \
 	xxdiff-match \
 	xxdiff-patch-UNFINISHED

## xxdiff 3.2

=== test/carriage/Makefile ===
all:
	xxdiff d1 d2

## xxdiff 4.0%2Bhg453%2Bdfsg

=== debian/changelog ===
xxdiff (1:4.0+hg453+dfsg-2) unstable; urgency=medium

  * Let xxdiff-scripts recommend gpg and patch (closes: LP:515558)
  * Ship TODO and tools/ as examples
  * Ensure empty bash completion directory is removed (closes: #808778)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 26 Dec 2015 13:46:26 +0100

xxdiff (1:4.0+hg453+dfsg-1) unstable; urgency=medium

  * Import Upstream version 4.0+hg453+dfsg
  * Drop 09_bison3.patch, 13_fix-sign-compare.patch: applied upstream
  * Declare compliance with Debian Policy 3.9.6
  * Fix a(nother) typo found by lintian
  * Install bash completion into proper path using dh_bash-completion
  * call rm_conffile on obsolete bash completion file
  * Drop obsolete README.Debian for xxdiff-scripts
  * Install all scripts from upstream

 -- Florian Schlichting <fsfs@debian.org>  Mon, 21 Dec 2015 20:51:55 +0100

xxdiff (1:4.0+hg437+dfsg-2) unstable; urgency=medium

  * Drop obsolete and buggy 07_subversion_externals.patch (closes: #755716)

 -- Florian Schlichting <fsfs@debian.org>  Wed, 23 Jul 2014 16:10:52 +0200

xxdiff (1:4.0+hg437+dfsg-1) unstable; urgency=medium

  * Import Upstream version 4.0, 4.0+hg437+dfsg
  * Adopt package (closes: #685572)
  * Bump dh compat to level 9
  * Switch to source format 3.0 (quilt)
  * Drop obsolete README.Debian, *.dirs
  * Switch to QT4 build dependencies
  * Convert patches from dpatch to quilt, refresh
  * Switch to short-form debian/rules
  * Add a patch to fix compilation with Bison 3
  * Add build-dependency on libqt4-dev, wrap-and-sort
  * Add missing ${misc:Depends}
  * Bump Standards-Version to 3.9.5
  * Do not load an external logo when viewing locally installed docs
  * Drop ancient NEWS file
  * Fix some doc typos
  * Switch to dh_python2
  * Fix installation of scripts
  * Enable passing of hardening flags
  * Provide man documentation for new scripts
  * Drop unused menu file - xxdiff requires filename arguments
  * Fix a "comparison between signed and unsigned integer expressions" warning
  * Update Vcs-* fields
  * Update debian/copyright to copyright-format 1.0, and add a note on +dfsg

 -- Florian Schlichting <fsfs@debian.org>  Mon, 21 Jul 2014 23:32:42 +0200

xxdiff (1:3.2-10) unstable; urgency=low

  * Update Standards-Version to 3.8.1 (no changes required)
  * Modify 03_cvsrevcomp_cmp_typo to fix typos reported by lintian -E
  * Re-build with newer debhelper to avoid useless calls to install-docs that
    have would otherwise be inserted.

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Wed, 29 Apr 2009 18:38:48 +0530

xxdiff (1:3.2-9) unstable; urgency=low

  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Patch 08_516143_xml_is_text to classify XML files as text, thanks to
    "J.P. Delport" <jpdelport@csir.co.za> for the patch (Closes: #516143)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 24 Feb 2009 14:51:19 +0530

xxdiff (1:3.2-8) unstable; urgency=low

  * Improved package description
  * Patch 07_subversion_externals to fix the xx-svn-diff failure when it
    encounters an SVN externals item.  Thanks Joseph Rawson
    <umeboshi3@gmail.com> for the bug report and fix (Closes: #498449)
  * Update Standards-Version to 3.8.0 (add a README.source)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Tue, 30 Sep 2008 21:23:41 +0530

xxdiff (1:3.2-7) unstable; urgency=low

  * Change doc-base section from Apps/Programming to Programming.  Fixes
    lintian W: doc-base-unknown-section
  * Convert xxdiff.doc-base.secrets from ISO-8859-1 to ASCII
  * Patch 06_user_commands_menu to implement menu with user defined commands.
    Thanks "Simon Kågström" <simon.kagstrom@bth.se> (Closes: #312240)
  * Use xxdiff-scripts.links with dh_link instead of by-hand dh_link for all
    the xxdiff-scripts commands.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 23 Mar 2008 10:20:50 +0530

xxdiff (1:3.2-6) unstable; urgency=low

  * Add a DM-Upload-Allowed: yes field to be able to DM update packages
  * Remove '-' from previous changelog entries.
  * Add Homepage: and Vcs-Svn: fields to debian/control
  * Change debian/copyright per latest standards
  * Rename README.debian to README.Debian per convention
  * xxdiff-scripts is Arch: all rather than Arch: any and remove
    ${shlibs:Depends} from Depends:
  * Remove DH_COMPAT from debian/rules, add debian/compat (5)
  * Remove spaces in doc-base file sections' separators, fixes lintian W:
    doc-base-file-separator-extra-whitespaces
  * Add debian/patches, using dpatch
    + 01_script_not_executable to prevent lintian W: script-not-executable
    + 02_doc_furius.ca_href to change relative URLs in documentation to
      http://furius.ca/
    + 03_cvsrevcomp_cmp_typo to correct typo in xx-cvs-revcmp (cvsrevcomp
      should be cvsrevcmp)
    + 04_build_setup_paths to set the appropriate paths necessary to build
      xxdiff and install the python scripts
    + 05_417780_gcc4.3_ftbfs to #include <cstdlib> to prevent FTBFS with
      GCC 4.3
  * Cleanup and re-organize debian/rules
    + Do not ignore make errors etc.
    + Add comands to binary-indep target for xxdiff-scripts
    + Use dh_installman for installing manpages
    + Remove symlink of changelog in xxdiff to that in xxdiff-scripts
  * Rename doc directories to keep in sync with the usual conventions:
    manual.html/ is html/ and manual.txt/ is txt/
  * Add a xxdiff-scripts.1 manpage and dh_link to it for all the scripts
    present in the xxdiff-scripts package.
  * Use dh_install and *.install files as opposed to by-hand install

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 07 Mar 2008 15:28:44 +0530

xxdiff (1:3.2-5) unstable; urgency=low

  * Adopted by Y Giridhar Appaji Nag <giridhar@appaji.net> (closes: #445882).
  * New version 3 watch file, upstream uses tar.bz2 files.  Thanks for the
    report Raphael Geissert (closes: #449716).
  * Add Homepage to the package description



=== debian/watch ===
version = 3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/xxdiff/xxdiff-(.+)\.tar\.bz2

## xxdiff 4.0+hg437+dfsg

=== debian/control ===
Source: xxdiff
Build-Depends: bison,
 debhelper (>= 9),
 dh-python,
 flex,
 libqt4-dev,
 python,
 qt4-dev-tools
Section: text
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Standards-Version: 3.9.5
Homepage: http://furius.ca/xxdiff/
Vcs-Git: git://anonscm.debian.org/collab-maint/xxdiff.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xxdiff.git

Package: xxdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: x-terminal-emulator, xxdiff-scripts
Description: graphical file/directory comparison and merge tool
 xxdiff is a powerful tool for viewing the differences between two or three
 files, or two directories, and can be used to produce a merged version.  The
 texts of the two or three files are presented side by side with their
 differences highlighted with colors for easy identification.  Among its
 features are:
 .
  * Compares two or three files, or two directories (shallow and recursive)
  * Horizontal highlighting of diffs
  * Interactive merges, previewing and saving of the resulting output
  * Unmerges CVS conflicts and displays two files, to help resolve conflicts
  * Fully customizable with a resource file
  * Features and output that ease integration with scripts
 .
 The scripts that accompany xxdiff can be found in the xxdiff-scripts package.

Package: xxdiff-scripts
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, xxdiff
XB-Python-Version: ${python:Versions}
Description: graphical file/directory comparison and merge tool - scripts
 xxdiff is a powerful tool for viewing the differences between two or three
 files, or two directories, and can be used to produce a merged version.  The
 texts of the two or three files are presented side by side with their
 differences highlighted with colors for easy identification.  This package
 contains the following tools that allow automation of tasks with xxdiff:
 .
  * xx-match: only diff files that match a pattern
  * xx-cvs-diff: preview changes made in a CVS checkout
  * xx-svn-diff: preview changes made in a SVN checkout and commit them
  * xx-svn-resolve: resolve conflicts
  * svn-foreign: traverse a checkout and prompt user to check in new files etc.
  * xx-diff-proxy: a diff tool - useful for tools that feed input to diff

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	$(MAKE) -C src -f Makefile.bootstrap
	dh_auto_configure

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

## xxdiff 4.0+hg453+dfsg

=== doc/Makefile ===
#!/usr/bin/env make
#
# $Source$
# $Id: Makefile 766 2004-02-25 17:37:35Z blais $
#
# Automatic generation of HTML for tools.

USERMANUAL=xxdiff-doc.html

TXTDOC=						\
	xxdiff-integration.txt			\
	xxdiff-secrets.txt			\
	xxdiff-scripts.txt

TXTDOC_HTML = $(TXTDOC:.txt=.html)

TXTHTML_CONVERT=projects-rst2html --project-header  --project-home=".."

BIN=../bin

# TOOLS=						\
# 	condreplace				\
# 	findgrepsed				\
# 	cvsdiff					\
# 	diffproxy				\
# 	svndiff					\
# 	encrypted				\
# 	match					\
# 	patch

# TMPFILE=/tmp/xxdiff-doc-convert.tmp
# SCRIPTS = $(patsubst %,$(BIN)/%,$(TOOLS))
# TOOLS_HTML = $(TOOLS:=.html)

# $(TOOLS_HTML) : %.html : $(BIN)/%
# 	python-genpage -l $< -o $(TMPFILE) $<
# 	$(TXTHTML_CONVERT) $(TMPFILE) $@
# 	rm -f $(TMPFILE)


.SUFFIXES: .txt .html

all: $(USERMANUAL) $(TXTDOC_HTML)

.txt.html:
	$(TXTHTML_CONVERT) $< $@

$(USERMANUAL): $(BIN)/xxdiff
	$(BIN)/xxdiff --help-html > $@


clean:
	rm -f $(USERMANUAL)
	rm -f $(TOOLS_HTML)
	rm -f $(TXTDOC_HTML)

debug:
	@echo TOOLS
	@echo $(TOOLS)
	@echo SCRIPTS
	@echo $(SCRIPTS)
	@echo TOOLS_HTML
	@echo $(TOOLS_HTML)

=== debian/changelog ===
xxdiff (1:4.0+hg453+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Override dh_bash_completion, use correct (new) completion dir

 -- Florian Schlichting <fsfs@debian.org>  Fri, 01 Jan 2016 23:41:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --with bash-completion

override_dh_auto_configure:
	$(MAKE) -C src -f Makefile.bootstrap
	dh_auto_configure

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

override_dh_bash-completion:
	# buggy in jessie
	mkdir -p debian/xxdiff-scripts/usr/share/bash-completion/completions
	cp etc/bashrc debian/xxdiff-scripts/usr/share/bash-completion/completions/xxdiff-scripts

## xxdiff 4.0.1+dfsg

=== debian/changelog ===
xxdiff (1:4.0.1+dfsg-1) unstable; urgency=medium

  * Fix gnupg package name - thanks Axel (closes: #825660)
  * Let uscan repack the upstream tarball using Files-Excluded
  * Import Upstream version 4.0.1+dfsg
  * Drop patches applied upstream
  * Bump packaging copyright years
  * Declare compliance with Debian Policy 3.9.8
  * Use secure URIs where possible
  * Add 14_spelling.patch

 -- Florian Schlichting <fsfs@debian.org>  Tue, 30 Aug 2016 22:21:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: xxdiff
 Build-Depends: bison,
  debhelper (>= 9),
+ bash-completion,
  dh-python,
  flex,
  libqt4-dev,
@@ -9,10 +10,10 @@
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://furius.ca/xxdiff/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xxdiff.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xxdiff.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xxdiff.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xxdiff.git
 
 Package: xxdiff
 Architecture: any
@@ -37,17 +38,29 @@
 Package: xxdiff-scripts
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, xxdiff
+Recommends: gnupg, patch
 XB-Python-Version: ${python:Versions}
 Description: graphical file/directory comparison and merge tool - scripts
  xxdiff is a powerful tool for viewing the differences between two or three
  files, or two directories, and can be used to produce a merged version.  The
  texts of the two or three files are presented side by side with their
- differences highlighted with colors for easy identification.  This package
- contains the following tools that allow automation of tasks with xxdiff:
+ differences highlighted with colors for easy identification.
  .
-  * xx-match: only diff files that match a pattern
-  * xx-cvs-diff: preview changes made in a CVS checkout
-  * xx-svn-diff: preview changes made in a SVN checkout and commit them
-  * xx-svn-resolve: resolve conflicts
-  * svn-foreign: traverse a checkout and prompt user to check in new files etc.
-  * xx-diff-proxy: a diff tool - useful for tools that feed input to diff
+ This package provides a number of scripts that are used to perform a variety of
+ tasks that all involve getting user verification and feedback using the xxdiff
+ graphical differences viewer.
+ .
+ For example, there are scripts to perform global renaming of strings within a
+ large codebase, where each transformed file is viewed by the user with an
+ xxdiff, accepted, rejected or merged changes written over the original file
+ (making backups is supported).  Also, this infrastructure is mostly provided as
+ modules, in order to allow users to write file transformations in Python and to
+ leverage this interactive confirmation process.
+ .
+ There are also scripts that visualize diffs for a number of SCM systems, like
+ CVS, Subversion, etc.  This package was born after a number of these useful
+ scripts had sprouted, and it became apparent that sharing the common code for
+ the scripts would be a great advantage to tools writers.
+ .
+ See documentation for a full list of the scripts and their role:
+ http://furius.ca/xxdiff/doc/xxdiff-scripts.html

## xxdiff 4.0.1+hg487+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 TXTDOC_HTML = $(TXTDOC:.txt=.html)
 
-TXTHTML_CONVERT=projects-rst2html --project-header  --project-home=".."
+TXTHTML_CONVERT=projects-rst2html --project-header  --project-home="http://furius.ca/xxdiff"
 
 BIN=../bin
 
@@ -61,4 +61,3 @@
 	@echo $(SCRIPTS)
 	@echo TOOLS_HTML
 	@echo $(TOOLS_HTML)
-

=== debian/changelog ===
xxdiff (1:4.0.1+hg487+dfsg-1) unstable; urgency=medium

  * Import upstream version 4.0.1+hg487+dfsg (5.0b1+)
  * Switch to Qt5 (closes: #875241)
  * Refresh 10_fix-privacy-breach.patch
  * Use all hardening buildflags
  * Declare compliance with Debian Policy 4.1.0

 -- Florian Schlichting <fsfs@debian.org>  Mon, 18 Sep 2017 21:26:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2 --with bash-completion

override_dh_auto_configure:
	$(MAKE) -C src -f Makefile.bootstrap
	dh_auto_configure

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

=== debian/watch ===
version = 3
opts="dversionmangle=s/\+dfsg// ,repacksuffix=+dfsg" \
http://sf.net/xxdiff/xxdiff-(.+)\.tar\.bz2

## xxdiff 5.0~b1%2Bgit20211103%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: xxdiff
-Build-Depends: bison,
- debhelper (>= 9),
- bash-completion,
+Build-Depends: bash-completion,
+ bison,
+ debhelper-compat (= 13),
  dh-python,
  flex,
- libqt4-dev,
- python,
- qt4-dev-tools
+ python3-all,
+ qttools5-dev
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.8
-Homepage: http://furius.ca/xxdiff/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xxdiff.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xxdiff.git
+Standards-Version: 4.6.0
+Homepage: https://furius.ca/xxdiff/
+Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
+Vcs-Browser: https://salsa.debian.org/debian/xxdiff
+Rules-Requires-Root: no
 
 Package: xxdiff
 Architecture: any
@@ -37,9 +37,9 @@
 
 Package: xxdiff-scripts
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, xxdiff
+Depends: ${misc:Depends}, ${python3:Depends}, xxdiff
 Recommends: gnupg, patch
-XB-Python-Version: ${python:Versions}
+X-Python3-Version: ${python3:Versions}
 Description: graphical file/directory comparison and merge tool - scripts
  xxdiff is a powerful tool for viewing the differences between two or three
  files, or two directories, and can be used to produce a merged version.  The
@@ -63,4 +63,4 @@
  the scripts would be a great advantage to tools writers.
  .
  See documentation for a full list of the scripts and their role:
- http://furius.ca/xxdiff/doc/xxdiff-scripts.html
+ https://furius.ca/xxdiff/doc/xxdiff-scripts.html

## xxdiff 5.0~b1+git20200622+dfsg

=== tabs/Makefile ===
all:
	xxdiff w2a w2b
	xxdiff w1a w1b
	xxdiff t1 t1
	xxdiff tabs notabs

=== debian/changelog ===
xxdiff (1:5.0~b1+git20200622+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a QMAKE to
    src/Makefile.bootstrap. (Closes: #977392)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 14 Dec 2020 16:51:20 +0100

xxdiff (1:5.0~b1+git20200622+dfsg-2) unstable; urgency=medium

  * Run lintian-brush:
    + Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
      Repository-Browse.
    + Fix day-of-week for changelog entries 1.9.1-8, 1.9.1-6, 1.8-3.
  * Drop xxdiff-scripts package, no Python2 for bullseye (closes: #938858)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 26 Nov 2020 00:40:36 +0800

xxdiff (1:5.0~b1+git20200622+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Florian Schlichting ]
  * Import new upstream version 5.0~b1+git20200622+dfsg
  * Drop c++11.patch, applied upstream
  * Bump dh compat to level 13
  * Use buildsystem pybuild and depend on dh-sequence-python2, python-all
  * Explicitly use python interpreter version 2 (closes: 966688)
  * Declare compliance with Debian Policy 4.5.1
  * Root is not required during build
  * Drop rm_conffile for xxdiff-scripts, transition was completed in oldstable
  * Update watch file to version 4, and point at github

 -- Florian Schlichting <fsfs@debian.org>  Wed, 25 Nov 2020 23:18:09 +0800

=== debian/control ===
Source: xxdiff
Build-Depends: bison,
 debhelper-compat (= 13),
 flex,
 qttools5-dev
Section: text
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Standards-Version: 4.5.1
Homepage: http://furius.ca/xxdiff/
Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
Vcs-Browser: https://salsa.debian.org/debian/xxdiff
Rules-Requires-Root: no

Package: xxdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: x-terminal-emulator
Description: graphical file/directory comparison and merge tool
 xxdiff is a powerful tool for viewing the differences between two or three
 files, or two directories, and can be used to produce a merged version.  The
 texts of the two or three files are presented side by side with their
 differences highlighted with colors for easy identification.  Among its
 features are:
 .
  * Compares two or three files, or two directories (shallow and recursive)
  * Horizontal highlighting of diffs
  * Interactive merges, previewing and saving of the resulting output
  * Unmerges CVS conflicts and displays two files, to help resolve conflicts
  * Fully customizable with a resource file
  * Features and output that ease integration with scripts

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk
export QT_SELECT := 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=none

override_dh_auto_configure:
	$(MAKE) -C src -f Makefile.bootstrap
	dh_auto_configure

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

=== debian/watch ===
version = 4
opts="dversionmangle=s/\+dfsg// ,repacksuffix=+dfsg, \
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xxdiff-$1.tar.gz%" \
https://github.com/blais/xxdiff/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xxdiff 5.0~b1+git20211011+dfsg

=== debian/changelog ===
xxdiff (1:5.0~b1+git20211011+dfsg-1) unstable; urgency=medium

  * Switch d/watch from release tags to HEAD, upstream no longer does releases
  * Import upstream version 5.0~b1+git20211011+dfsg
  * Update Homepage and Source to github
  * Drop 14_spelling.patch, applied upstream
  * Bring back xxdiff-scripts package, many things have been ported to Python3
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Thu, 21 Oct 2021 23:06:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: xxdiff
-Build-Depends: bison,
+Build-Depends: bash-completion,
+ bison,
  debhelper-compat (= 13),
+ dh-python,
  flex,
+ python3-all,
  qttools5-dev
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.1
-Homepage: http://furius.ca/xxdiff/
+Standards-Version: 4.6.0
+Homepage: https://github.com/blais/xxdiff
 Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/xxdiff
 Rules-Requires-Root: no
@@ -15,7 +18,7 @@
 Package: xxdiff
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: x-terminal-emulator
+Suggests: x-terminal-emulator, xxdiff-scripts
 Description: graphical file/directory comparison and merge tool
  xxdiff is a powerful tool for viewing the differences between two or three
  files, or two directories, and can be used to produce a merged version.  The
@@ -29,3 +32,35 @@
   * Unmerges CVS conflicts and displays two files, to help resolve conflicts
   * Fully customizable with a resource file
   * Features and output that ease integration with scripts
+ .
+ The scripts that accompany xxdiff can be found in the xxdiff-scripts package.
+
+Package: xxdiff-scripts
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, xxdiff
+Recommends: gnupg, patch
+X-Python3-Version: ${python3:Versions}
+Description: graphical file/directory comparison and merge tool - scripts
+ xxdiff is a powerful tool for viewing the differences between two or three
+ files, or two directories, and can be used to produce a merged version.  The
+ texts of the two or three files are presented side by side with their
+ differences highlighted with colors for easy identification.
+ .
+ This package provides a number of scripts that are used to perform a variety of
+ tasks that all involve getting user verification and feedback using the xxdiff
+ graphical differences viewer.
+ .
+ For example, there are scripts to perform global renaming of strings within a
+ large codebase, where each transformed file is viewed by the user with an
+ xxdiff, accepted, rejected or merged changes written over the original file
+ (making backups is supported).  Also, this infrastructure is mostly provided as
+ modules, in order to allow users to write file transformations in Python and to
+ leverage this interactive confirmation process.
+ .
+ There are also scripts that visualize diffs for a number of SCM systems, like
+ CVS, Subversion, etc.  This package was born after a number of these useful
+ scripts had sprouted, and it became apparent that sharing the common code for
+ the scripts would be a great advantage to tools writers.
+ .
+ See documentation for a full list of the scripts and their role:
+ https://github.com/blais/xxdiff/blob/master/doc/xxdiff-scripts.html

## xxdiff 5.0~b1+git20211103+dfsg

=== debian/changelog ===
xxdiff (1:5.0~b1+git20211103+dfsg-1ubuntu0.1) jammy; urgency=medium

  * Fix compatibility with Python3. (LP: #2061637)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 May 2024 20:47:13 +0100

xxdiff (1:5.0~b1+git20211103+dfsg-1) unstable; urgency=medium

  * Import new upstream version 5.0~b1+git20211103+dfsg
  * xxdiff documentation is still published on furius.ca, not github
  * Update patches, add 17_python3-popen-as-text.patch,
    18_python3-xreadlines.patch, 19_python3-xrange.patch

 -- Florian Schlichting <fsfs@debian.org>  Fri, 05 Nov 2021 01:36:45 +0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  qttools5-dev
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Standards-Version: 4.6.0
-Homepage: https://github.com/blais/xxdiff
+Homepage: https://furius.ca/xxdiff/
 Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/xxdiff
 Rules-Requires-Root: no
@@ -63,4 +64,4 @@
  the scripts would be a great advantage to tools writers.
  .
  See documentation for a full list of the scripts and their role:
- https://github.com/blais/xxdiff/blob/master/doc/xxdiff-scripts.html
+ https://furius.ca/xxdiff/doc/xxdiff-scripts.html

## xxdiff 5.1%2Bgit20250320%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  dh-python,
  flex,
  python3-all,
+ python3-setuptools,
  qttools5-dev
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.0
+Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.7.2
 Homepage: https://furius.ca/xxdiff/
 Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/xxdiff

## xxdiff 5.1+git20220924+dfsg

=== debian/changelog ===
xxdiff (1:5.1+git20220924+dfsg-1ubuntu0.24.04.1) noble; urgency=medium

  * Fix compatibility with Python3. (LP: #2061637)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 May 2024 20:25:08 +0100

xxdiff (1:5.1+git20220924+dfsg-1build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:10 +0200

xxdiff (1:5.1+git20220924+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:33:16 +0000

xxdiff (1:5.1+git20220924+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:32:15 +0000

xxdiff (1:5.1+git20220924+dfsg-1) unstable; urgency=medium

  * d/watch: update upstream version to 5.1
  * Import new upstream version 5.1+git20220924+dfsg
  * Bump packaging copyright years
  * Declare compliance with Debian Policy 4.6.2
  * Drop patches applied upstream
  * Add lintian overrides for the more important tags

 -- Florian Schlichting <fsfs@debian.org>  Tue, 27 Dec 2022 22:06:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  dh-python,
  flex,
  python3-all,
- python3-setuptools,
  qttools5-dev
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.7.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.6.2
 Homepage: https://furius.ca/xxdiff/
 Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/xxdiff

=== debian/watch ===
version = 4
opts="dversionmangle=s/\+dfsg// ,repacksuffix=+dfsg, \
    mode=git, pretty=5.1+git%cd, pgpmode=none" \
https://github.com/blais/xxdiff.git \
HEAD

## xxdiff 5.1+git20240417+dfsg

=== debian/changelog ===
xxdiff (1:5.1+git20240417+dfsg-2) unstable; urgency=medium

  * call upstream's clean target after package build (closes: #1045808)
  * Add a build-dependency on python3-setuptools (closes: #1080840)
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Mon, 16 Sep 2024 22:22:10 +0200

xxdiff (1:5.1+git20240417+dfsg-1) unstable; urgency=medium

  * Import new upstream version 5.1+git20240417+dfsg (closes: #1069067)
  * Declare compliance with Debian Policy 4.7.0

 -- Florian Schlichting <fsfs@debian.org>  Sun, 21 Apr 2024 23:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  dh-python,
  flex,
  python3-all,
+ python3-setuptools,
  qttools5-dev
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.7.0
 Homepage: https://furius.ca/xxdiff/
 Vcs-Git: https://salsa.debian.org/debian/xxdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/xxdiff

## xxdiff 5.1+git20250320+dfsg

=== debian/changelog ===
xxdiff (1:5.1+git20250320+dfsg-1) unstable; urgency=medium

  * New upstream version 5.1+git20250320+dfsg (closes: #1087192)
  * Bump packaging copyright years
  * Declare compliance with Debian Policy 4.7.2

 -- Florian Schlichting <fsfs@debian.org>  Fri, 21 Mar 2025 18:51:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --buildsystem=none
+	dh $@ --buildsystem=pybuild --with bash-completion,python3
 
 override_dh_auto_configure:
 	$(MAKE) -C src -f Makefile.bootstrap
@@ -15,3 +15,7 @@
 override_dh_auto_build:
 	$(MAKE) -C src
 	dh_auto_build
+
+override_dh_clean:
+	$(MAKE) -C src clean || true
+	dh_clean
